﻿html,
body {
    padding: 0;
    margin: 0;
    height: 100%;
    width: 100%;
}

#DisclaimerModal {
    width: 100%;
    margin: 0;
    max-width: 100%;
    min-width: 100%;
}

.modal-content .modal-dialog {
    width: 100%;
    margin: 0;
    max-width: 100%;
    min-width: 100%;
}

.disclaimerMsg {
    padding-left: 20px;
    padding-right: 20px;
}

#editDiv {
    position: absolute;
    width: fit-content;
    padding: 0;
    margin: 0;
    height: 100vh;
    z-index: 100;
    background-color: transparent;
}

#viewDiv {
    padding: 0;
    margin: 0;
    height: Calc(100vh - 60px - 60px);
    width: 100%;
}

@media only screen and (max-width: 700px) {
    .esri-ui-corner .esri-component > .esri-widget--panel,
    .esri-ui-corner .esri-component.esri-widget--panel {
        width: 240px !important;
    }

    .title {
        font-size: 1em !important;
    }

    .topLink {
        border-top: 1px solid #32441e;
        margin: 8px 0;
        padding: 5px 0;
    }

    #viewDiv {
        height: Calc(90vh-5px);
    }

    .esri-editor__panel-content {
        min-height: 0px !important;
    }

    #editDiv {
        width: 100%;
        height: 70vh;
        bottom: 0;
    }

    #topLogo {
        width: 50px !important;
        margin-right: 0px !important;
    }
}

@media only screen and (max-width: 380px) {
    #topLogo {
        width: 20px !important;
        margin-right: 0px !important
    }
}

.navbarColor {
    background-color: #283618;
    color: #fefae0;
}

#subtitleText {
    text-align: center;
}

.title {
    color: #fefae0;
    font-size: 2em;
}

#Dholder {
    text-align: center;
    width: 50%;
    margin: 0 auto;
}

#Dtitle {
    color: #283618;
    font-size: 2em;
}

#lineBreak {
    color: #283618;
    height: 8px;
    background-color: #283618;
}

.topLink {
    color: #fefae0 !important;
}

#editBtn, #soilsBtn, #bufferBtn, #selectBuffBtn, #tractBtn {
    background-color: #283618 !important;
    color: #fefae0;
    border: outset #fefae0;
}

#closeEditor {
    width: 5%;
    margin-right: 0;
    margin-left: auto;
    background-color: darkgray;
}

#stopSelectBtn {
    background-color: grey !important;
    color: #fefae0;
}

#newAcres {
    padding: 2px;
    margin-top: 5px;
    /*    border: 1px solid black;
    border-radius: 5px;*/
}

@media only screen and (min-width: 700px) {
    #editDiv {
        width: 25%;
        height: 70vh;
        bottom: 10%;
        right: 0;
    }
}

.spinner {
    border: 4px solid rgba(0, 0, 0, 0.1);
    border-left-color: #333;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

.soilsHolder {
    background-color: transparent;
    border-radius: 5px;
    padding: 1px;
}

#Editsnackbar {
    visibility: hidden;
    min-width: 300px;
    max-width: 400px;
    background-color: #333;
    color: #fff;
    font-size: 14px;
    text-align: center;
    border-radius: 5px;
    padding: 12px;
    position: absolute;
    z-index: 10;
    left: 0; /* Center horizontally */
    top: 0;
    transform: translateX(-100%); /* Adjust for perfect centering */
    box-shadow: 0 3px 5px rgba(0, 0, 0, 0.3); /*
    transition: visibility 0s, opacity 0.5s linear;*/
    transition: opacity 0.5s ease-in-out;
}

.snackbar {
    visibility: hidden; /* Hidden by default */
    min-width: 207px;
    max-width: 200px;
    background-color: #333;
    color: #fff;
    font-size: 16px;
    text-align: center;
    border-radius: 5px;
    padding: 16px;
    position: fixed; /* Fixed position relative to viewport */
    z-index: 1; /* Ensure it's on top of other content */
    left: 50%; /* Center horizontally */
    top: 100%; /* Position at the bottom */
    transform: translateX(-50%); /* Adjust for perfect centering */
    box-shadow: 0 3px 5px rgba(0, 0, 0, 0.3);
    transition: opacity 0.5s ease-in-out; /* For smooth transitions */
}

    .snackbar.show, #Editsnackbar.show {
        visibility: visible;
        opacity: 1;
    }

.link {
    color: #fff !important;
}

.bTitle {
    font-size: 1.25em;
    font-weight: bold;
    text-align: center;
    margin: 0 auto;
    padding: 2px;
}

#dShowHolder {
    height: 100%;
    line-height: 50%;
}

#dShowLabel {
    font-size: .75em;
    font-style: italic;
}

.fadeOut {
    opacity: 0; /* Final state: fully transparent */
}
#topbar {
    background: #fff;
    padding: 10px;
}

.action-button {
    font-size: 16px;
    background-color: #fff;
    border: 1px solid #d3d3d3;
    color: #6e6e6e;
    height: 32px;
    width: 32px;
    text-align: center;
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.3);
}

    .action-button:hover,
    .action-button:focus {
        background: #0079c1;
        color: #e4e4e4;
    }

.active {
    background: #0079c1;
    color: #e4e4e4;
}
#auditTableBtn:hover{
    cursor:pointer;
}
.guideDoc {
    text-decoration: none;
    color: #fefae0;
}